summaryrefslogtreecommitdiffstats
path: root/jjb/sdc/python3-verify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/sdc/python3-verify.sh')
-rw-r--r--jjb/sdc/python3-verify.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/jjb/sdc/python3-verify.sh b/jjb/sdc/python3-verify.sh
new file mode 100644
index 000000000..f71c12c02
--- /dev/null
+++ b/jjb/sdc/python3-verify.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+py_files=$(find . -name '*.py' -not -path "*/node_modules/*" -not -path "*/target/*")
+
+if python3 -m py_compile ${py_files}
+then
+ echo "All python files compiled successfully"
+ exit 0
+else
+ echo "Failed to compile all files in Python 3"
+ exit 1
+fi